<template>
  <div class="header">
    <div class="logo">
        <img src="@/assets/logo_eve.png" alt="">
      </div>
    <div class="lower">
      <div class="link" @click="$router.push('/')">
        <div class="rtrLnk" to="/">Home</div>
      </div>
      <div class="link" @click="$router.push('/events')">
        Popular now
      </div>
      <div class="link" @click="$router.push('/create-event')">
        Create event
      </div>
      <div v-if="!isAuth" class="link" @click="$router.push('/registration')">SIGN UP</div>
      <div v-if="!isAuth" class="link" @click="$router.push('/login')">SIGN IN</div>
      <div v-if="isAuth" class="link" @click="$router.push('/profile')">PROFILE</div>
      <div v-if="isAuth" class="link" @click="logout">LOG OUT</div>
    </div>
  </div>
</template>
<script>
import { mapGetters } from 'vuex'
import { PROFILE } from '../store/types'
export default {
  name: 'Header',
  computed: {
    ...mapGetters({
      isAuth: PROFILE.GETTER.GET_IS_AUTHORIZED
    })
  },
  methods: {
    logout () {
      this.$store.commit(PROFILE.MUTATION.LOGOUT)
    }
  }
}
</script>
<style lang="scss" scoped>
.link {
  color: #828282;
  &:hover {
    opacity: 0.5;
  }
}
.sign-block {
  max-width: 174px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.header {
  height: 100px;
  // max-width: 1000px;
  width: 100%;
  position: relative;
  display: flex;
  justify-content: center;
  // margin-bottom: 50px;
  .logo {
    width: 100px;
    height: 100px;
    position: absolute;
    left: 3.5%;
    // top: 50%;
    // transform: translate(-50%, -50%);
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }
  & .upper {
    height: 172px;
    display: flex;
    justify-content: flex-end;
    position: relative;
    width: 100%;
    & .profile-block {
      display: flex;
      justify-content: space-between;
      align-items: center;
    }
    & .sign-button {
        font-family: $second_font;
        font-style: normal;
        font-weight: normal;
        font-size: 12px;
        line-height: 14px;
        cursor: pointer;
        letter-spacing: 0.25em;
        text-transform: uppercase;
        color: #BDBDBD;
        transition: 0.3s;

        &:hover {
          color: #000;
        }
      }
  }
  & .lower {
    height: 100%;
    width: 100%;
    max-width: 1000px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;

    div {
      font-family: $second_font;
      font-style: normal;
      font-weight: normal;
      font-size: 12px;
      line-height: 14px;
      /* identical to box height */

      letter-spacing: 0.25em;
      text-transform: uppercase;

      cursor: pointer;
      transition: 0.3s;
    }

  }
}
</style>
